unable to update system because of dkp key error

Post Reply
User avatar
lynxano
Posts: 4
Joined: Sun Jun 13, 2021 1:08 am
Location: ontario, cadnada

unable to update system because of dkp key error

Post by lynxano » Sun Jun 13, 2021 1:46 am

the wiki says that keyring servers are messy but i
i don't know how keys work and have no idea how to resolve that on my own

ive tried reinstalling and checking out key information but like again i have no idea what im doing and wasnt able to figure out anything on my own
i remember getting help when i first added the unofficial arch dkp repository, i needed dkp for building some code i wrote and wasn't able to install it because of keys. i don't know what they told me to do and have no real way of finding it, i don't remember who it was and it is buried... uh, somewhere (??).
sorry!!
worst case if this can't be resolved (it probably can!!), i, would appreciate being shown to the door with a way of safely having pacman ignore dkp so i can upgrade (important!).

silverhikari
Posts: 2
Joined: Sun Jun 13, 2021 9:17 am

signature from "fincs <[email protected]>" is unknown trust

Post by silverhikari » Sun Jun 13, 2021 9:27 am

after following the installation instructions on the wiki(add the keys then add the keyring, then update database) for a pre-existing pacman installation(i am using manjaro), and changing the package servers to the newest servers. when i go to update the package servers after the change pacman reports "error: dkp-libs: signature from "fincs <[email protected]>" is unknown trust error: failed to update dkp-libs (invalid or corrupted database (PGP signature))" i have tried updating the keyring and reinstalling the key ring along with clearing the cache to see if that helps as some posts so to do that, but that did not work. any advice on how to fix this

WinterMute
Site Admin
Posts: 1534
Joined: Tue Aug 09, 2005 3:21 am
Location: UK
Contact:

Re: unable to update system because of dkp key error

Post by WinterMute » Sun Jun 13, 2021 3:44 pm

I've tried installing from scratch on a fresh Manjaro install and everything seems to work fine. The only reasonably explanation I can think of atm is that neither of you has installed the devkitpro keyring.

Before you do anything else can you show the output of these commands

Code: Select all

pacman -Ss keyring
pacman-key -l
This should, in theory, be solved by following the instructions to install the keyring on the wiki

Code: Select all

   wget https://pkg.devkitpro.org/devkitpro-keyring.pkg.tar.xz
   sudo pacman -U devkitpro-keyring.pkg.tar.xz
Help keep devkitPro toolchains free, Donate today

Personal Blog

User avatar
lynxano
Posts: 4
Joined: Sun Jun 13, 2021 1:08 am
Location: ontario, cadnada

Re: unable to update system because of dkp key error

Post by lynxano » Sun Jun 13, 2021 5:19 pm

Code: Select all

$ pacman -Ss keyring
error: dkp-libs: signature from "fincs <fincs at devkitpro.org>" is unknown trust
error: database 'dkp-libs' is not valid (invalid or corrupted database (PGP signature))

because of the verbose output on the second command, i picked the very beginning and end. the rest of the output is in a file im gonna attach!

Code: Select all

$ pacman-key -l
gpg: Note: trustdb not writable
...
pub   rsa4096 2017-08-20 [SCA]
      032F4C9D0B8FF3BC84019B7862C7609ADA219C60
uid           [ unknown] fincs <fincs at devkitpro.org>
uid           [  undef ] fincs <fincs.alt1 at gmail.com>
sub   rsa4096 2017-08-20 [E]
one of the thing i found that seemed helpful to my issue yesterday was that someone had issues with their computer resetting the permissions attached to a key file? based on the output of pacman-key -l i think that might be the case for me as well, but, i dont, really know what i could do to check.


this is the full output when i follow the wiki

Code: Select all

$ wget https://pkg.devkitpro.org/devkitpro-keyring.pkg.tar.xz
--2021-06-13 12:11:53--  https://pkg.devkitpro.org/devkitpro-keyring.pkg.tar.xz
Loaded CA certificate '/etc/ssl/certs/ca-certificates.crt'
Resolving pkg.devkitpro.org (pkg.devkitpro.org)... address1, address2, address3, ...
Connecting to pkg.devkitpro.org (pkg.devkitpro.org)|172.67.128.184|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 8868 (8.7K) [application/x-xz]
Saving to: ‘devkitpro-keyring.pkg.tar.xz.3’

devkitpro-keyring.pkg.t 100%[============================>]   8.66K  --.-KB/s    in 0.001s  

2021-06-13 12:11:53 (14.2 MB/s) - ‘devkitpro-keyring.pkg.tar.xz.3’ saved [8868/8868]

Code: Select all

$ sudo pacman -U devkitpro-keyring.pkg.tar.xz
[sudo] password for lynice: 
error: dkp-libs: signature from "fincs <[email protected]>" is unknown trust
error: database 'dkp-libs' is not valid (invalid or corrupted database (PGP signature))
loading packages...
warning: devkitpro-keyring-20180316-1 is up to date -- reinstalling
error: failed to prepare transaction (invalid or corrupted database)
some things in the output i changed because the forum software got mad at me for including contacts and i didnt know what that meant
Attachments
output.txt
full output from pacman-key -l
(42.27 KiB) Downloaded 41 times

WinterMute
Site Admin
Posts: 1534
Joined: Tue Aug 09, 2005 3:21 am
Location: UK
Contact:

Re: unable to update system because of dkp key error

Post by WinterMute » Mon Jun 14, 2021 4:09 pm

OK, that looks like maybe you've edited pacman.conf and updated before attempting to install the keyring and it then failed to install the keyring so fincs' key hasn't been added.

Try commenting the dkp-libs repo in your pacman.conf, run sudo pacman -Sy to update the databases and then install the keyring using sudo pacman -U devkitpro-keyring.pkg.tar.xz. Once you've done that then uncomment the dkp-libs repo and sudo pacman -Sy again
Help keep devkitPro toolchains free, Donate today

Personal Blog

User avatar
lynxano
Posts: 4
Joined: Sun Jun 13, 2021 1:08 am
Location: ontario, cadnada

Re: unable to update system because of dkp key error

Post by lynxano » Mon Jun 14, 2021 5:01 pm

hey! that worked!! thank you

it seems to have worked.

I, i still cant update because of a broken dependency, seems like something to do with audio, but im gonna take a guess and say that has nothing to do with dkp.
thank you!

silverhikari
Posts: 2
Joined: Sun Jun 13, 2021 9:17 am

Re: unable to update system because of dkp key error

Post by silverhikari » Mon Jun 14, 2021 9:14 pm

this is what i get from running pacman -Ss keyring

Code: Select all

core/archlinux-keyring 20210110-1 [installed]
    Arch Linux PGP keyring
core/manjaro-keyring 20201216-1 [installed]
    Manjaro PGP keyring
extra/gnome-keyring 1:40.0-1 (gnome)
    Stores passwords and encryption keys
extra/libgnome-keyring 3.12.0+13+g4f8ab73-3
    GNOME keyring client library (deprecated)
community/debian-archive-keyring 2021.1.1-1
    GnuPG archive keys of the Debian archive
community/deepin-polkit-agent-ext-gnomekeyring 0.1.0-2 (deepin)
    GNOME keyring extension for dde-polkit-agent
community/jetring 0.27-2
    gpg keyring maintenance using changesets
community/python-keyring 23.0.1-1 [installed]
    Store and access your passwords safely
community/python-keyrings-alt 1:4.0.2-1
    Alternate keyring implementations
community/sequoia-keyring-linter 0.4.0-1
    OpenPGP certificate linter
community/ubuntu-keyring 2021.03.26-1
    GnuPG keys of the Ubuntu archive
dkp-linux/devkitpro-keyring 20180316-1 [installed]
    devkitPro PGP keyring
include is the output for pacman-key
Attachments
pacman-key.txt
(42.95 KiB) Downloaded 53 times

User avatar
lynxano
Posts: 4
Joined: Sun Jun 13, 2021 1:08 am
Location: ontario, cadnada

Re: unable to update system because of dkp key error

Post by lynxano » Mon Jun 14, 2021 10:48 pm

alright so actually it wasn't okay
lot less urgent now since i updated my system, id still like to get it resolved though.
i think im now getting the same error as the other person in this thread.
update

Code: Select all

...
Packages (1) libnx-4.1.0-1

Total Installed Size:   67.89 MiB
Net Upgrade Size:      -38.47 MiB

:: Proceed with installation? [Y/n] 
(1/1) checking keys in keyring                                                                                                   [##############################################################################] 100%
(1/1) checking package integrity                                                                                                 [##############################################################################] 100%
error: libnx: signature from "fincs <[email protected]>" is unknown trust
:: File /var/cache/pacman/pkg/libnx-4.1.0-1-any.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: failed to commit transaction (invalid or corrupted package (PGP signature))
Errors occurred, no packages were upgraded.

Code: Select all

$ pacman -Ss keyring                         
core/archlinux-keyring 20210110-1 [installed]
    Arch Linux PGP keyring
core/manjaro-keyring 20201216-1 [installed]
    Manjaro PGP keyring
extra/gnome-keyring 1:40.0-1 (gnome)
    Stores passwords and encryption keys
extra/libgnome-keyring 3.12.0+13+g4f8ab73-3
    GNOME keyring client library (deprecated)
community/debian-archive-keyring 2021.1.1-1
    GnuPG archive keys of the Debian archive
community/deepin-polkit-agent-ext-gnomekeyring 0.1.0-2 (deepin)
    GNOME keyring extension for dde-polkit-agent
community/jetring 0.27-2
    gpg keyring maintenance using changesets
community/python-keyring 23.0.1-1
    Store and access your passwords safely
community/python-keyrings-alt 1:4.0.2-1
    Alternate keyring implementations
community/sequoia-keyring-linter 0.4.0-1
    OpenPGP certificate linter
community/ubuntu-keyring 2021.03.26-1
    GnuPG keys of the Ubuntu archive
dkp-linux/devkitpro-keyring 20180316-1 [installed]
    devkitPro PGP keyring
Attachments
pacman-key -l.txt
(42.27 KiB) Downloaded 45 times

WinterMute
Site Admin
Posts: 1534
Joined: Tue Aug 09, 2005 3:21 am
Location: UK
Contact:

Re: unable to update system because of dkp key error

Post by WinterMute » Wed Jun 16, 2021 8:59 am

I'm guessing that pacman has attempted to import the key with the first error so we can try uninstalling the keyring, deleting the offending key & then reinstalling the keyring again.

My manjaro test VM shows this in the trusted keys

Code: Select all

pub   rsa4096 2017-08-20 [SCA]
      032F4C9D0B8FF3BC84019B7862C7609ADA219C60
uid           [  full  ] fincs <[email protected]>
sub   rsa4096 2017-08-20 [E]
But yours show

Code: Select all

pub   rsa4096 2017-08-20 [SCA]
      032F4C9D0B8FF3BC84019B7862C7609ADA219C60
uid           [ unknown] fincs <[email protected]>
uid           [  undef ] fincs <[email protected]>
sub   rsa4096 2017-08-20 [E]
So, fingers crossed, running these commands should fix it.

Code: Select all

sudo pacman -R devkitpro-keyring
sudo pacman-key -d 032F4C9D0B8FF3BC84019B7862C7609ADA219C60
sudo pacman -S devkitpro-keyring
Help keep devkitPro toolchains free, Donate today

Personal Blog

Post Reply

Who is online

Users browsing this forum: No registered users and 2 guests